import unohelper
from itertools import chain
from com.capylibre import Xtextfunc

flat = chain.from_iterable

class Textfunctions(unohelper.Base, Xtextfunc):

    def __init__( self, ctx ):
        self.ctx = ctx

    def pyjoin(self, inrange, joinchar=""):
        return joinchar.join('%s' % elem for elem in flat(inrange) if elem)



def createInstance( ctx ):
    return Textfunctions( ctx )


g_ImplementationHelper = unohelper.ImplementationHelper()
g_ImplementationHelper.addImplementation(
    createInstance,"com.capylibre.Textfunctions",("com.sun.star.sheet.AddIn",),)


